﻿var shawarma = angular.module('shawarma', ['ui.bootstrap']);

shawarma.controller("IndexController", function ($scope, $http, $interval, $rootScope, $timeout, $modal) {

 	$scope.Pedidos = null;
 	$scope.PedidoSeleccionado = null;
    $scope.ProductosStockBajo = null;

 	$interval(function() {

          $http.get($rootScope.ApiUrl + 'Pedidos')
	 		.success(function(Pedidos) {
	 			$scope.Pedidos = Pedidos;
	 		});

          $http.get($rootScope.ApiUrl + 'ProductosStockBajo')
              .success(function (ProductosStockBajo) {
                  $scope.ProductosStockBajo = ProductosStockBajo;
              });

      }, 3000);

 	$scope.SelDeselPedido = function(pPedido_Id) {
 		// Despintar div selección anterior
 		if ($scope.PedidoSeleccionado != null)
 		{
 			var divAntiguo = document.getElementById('divPedido'+$scope.PedidoSeleccionado);
 			var divAntiguoComentarios = document.getElementById('divPedidoComentarios'+$scope.PedidoSeleccionado);
 			divAntiguo.style.border = 'solid 3px #3333cc';
 			divAntiguo.style.background = '#5555ee';
 			divAntiguoComentarios.style.border = 'solid 3px #F0CE67';
 			divAntiguoComentarios.style.background = '#F2D57C';
 		}
 		// Selección/Deselección lógica
 		if ($scope.PedidoSeleccionado == pPedido_Id) //Mismo pedido => Deseleccionar
 		{
 			$scope.PedidoSeleccionado = null;
 		}
 		else //Pedido distinto => Seleccionar
 		{
 			$scope.PedidoSeleccionado = pPedido_Id;
 		}
 		// Pintar div seleccionado
 		if ($scope.PedidoSeleccionado != null)
 		{
 			var divNuevo = document.getElementById('divPedido'+$scope.PedidoSeleccionado);
 			var divNuevoComentarios = document.getElementById('divPedidoComentarios'+$scope.PedidoSeleccionado);
 			divNuevo.style.border = 'solid 3px #33cc33';
 			divNuevo.style.background = '#55ee55';
 			divNuevoComentarios.style.border = 'solid 3px #E0BA4F';
 			divNuevoComentarios.style.background = '#F5CB58	';
 			

 		}
 	};

 	$scope.insertaPedido = function() {
		var modalInstance = $modal.open({
			templateUrl: 'IngresarPedido.html'
			, controller: 'IngresarPedidoController'
			, size: 'lg'
			, resolve: {
				params: function() {
					return [ 'Add', 'null' ];
				}
			}
		 });
 	};

 	$scope.modificaPedido = function() {
		var modalInstance = $modal.open({
			templateUrl: 'IngresarPedido.html'
			, controller: 'IngresarPedidoController'
			, size: 'lg'
			, resolve: {
				params: function() {
					return [ 'Modify', $scope.PedidoSeleccionado ];
				}
			}
		 });
 	};

 	$scope.muestraResumenVentas = function() {
		var modalInstance = $modal.open({
			templateUrl: 'ResumenVentas.html'
			, controller: 'ResumenVentasController'
			, size: 'sm'
			, resolve: {
				params: function() {
					return [ 'Add', 'null' ];
				}
			}
		 });
 	};

 	$scope.eliminaPedido = function() {
 		if ($scope.PedidoSeleccionado == null) { alert('Antes debe seleccionar un pedido.'); return; }
 		var i;
 		for (i=0; i<$scope.Pedidos.length; i++)
 		{
 			if ($scope.Pedidos[i].Pedido_Id == $scope.PedidoSeleccionado && $scope.Pedidos[i].Pedido_TiempoPreparacion > '00:05:00')
 			{
 				alert('El pedido seleccionado ya no se puede eliminar, ya que se está preparando hace más de 5 minutos.');
 				return;
 			}
 		}
 		if (confirm('¿Está seguro que desea eliminar este pedido?'))
 		{
                $http.post($rootScope.ApiUrl + 'Pedidos/Eliminar/' + $scope.PedidoSeleccionado)
		 		.success(function(Result) {
		 			console.log("Result", Result);
		 			$scope.PedidoSeleccionado = null;
		 			if (Result[0].Resultado == 'OK')
		 			{
		 				alert('Pedido eliminado.');
		 			}
		 		});
 		}
 	};

 	$scope.entregaPedido = function() {
          $http.get($rootScope.ApiUrl + 'Pedidos/Entregar/' + $scope.PedidoSeleccionado)
	 		.success(function(Result) {
	 			$scope.PedidoSeleccionado = null;
	 			if (Result[0].Resultado == 'OK')
	 			{
	 				alert('Pedido entregado.');
	 			}
	 		});
 	};

 	$scope.pantallaCocina = function() {
 		var specs = 'height=' + screen.height + ',left=' + (screen.width + 1) + ',top=1,width=' + screen.width;
		var wCocina = window.open('PedidosCocina.html', '_blank', specs);
 	};

});

shawarma.run(function($rootScope, $http, $filter) {

    $rootScope.ApiUrl = 'https://www.entregallos.cl/Shawarma_WebAPI/source/public/index.php/';

    $rootScope.imprimePedido = function (pPedido_Id) {
        $http.get($rootScope.ApiUrl + 'Pedidos/' + pPedido_Id)
			.success(function(Pedido) {
                var html = '';
                $http.get($rootScope.ApiUrl + 'PedidoProductos/' + pPedido_Id)
					.success(function(PedidoProducto) {
                        html += '<html><head><title>my div</title></head><body style="margin:0px; margin-top:-20px; padding:0px; font-size:px;">';
                        html += '<div style="float:left; padding:2px; width:8cm; font-family:Calibri;">';
                        html += '	<div style="border-bottom:solid 1px #cccccc, padding:4px 2px 4px 5px">';
                        html += '		<div style="font-size:16pt; font-weight:bold; width:100%; text-align:center;">YonkiSushi - Ñuñoa</div>';
                        html += '		<div style="font-size:12pt; font-weight:bold; width:12%; float:left;">' + Pedido[0].Pedido_Correlativo + '</div>';
                        html += '		<div style="font-size:12pt; font-weight:bold; width:76%; text-align:center; padding-bottom:5px; float:left;">Cliente: ' + Pedido[0].Pedido_ClienteNombre + '</div>';
                        html += '		<div style="font-size:12pt; font-weight:bold; width:12%; text-align:right; float:left;">' + Pedido[0].Despacho_Nombre.substring(0, 1) + '</div>';
                        html += '		<div style="clear:both; font-size: 12pt;">Teléfono: ' + Pedido[0].Pedido_ClienteTelefono + '</div>';
                        html += '		<div style="font-size:12pt; padding-bottom:20px;">Dirección: ' + Pedido[0].Pedido_ClienteDireccion + '</div>';
                        html += '		<div style="font-size:12pt; font-weight:bold; text-align:center;">Detalle del pedido</div>';
                        html += '		<div style="font-size:12pt; border-top:solid 1px; border-bottom:solid 1px;">';
						for (var i=0; i<PedidoProducto.length; i++)
						{
				            html += '			<div style="clear:both; width:75%; float:left;">-' + PedidoProducto[i].Pedido_Producto_Cantidad + ' ' + PedidoProducto[i].Producto_Nombre + '</div><div style="width:25%; float:left; text-align:right;">' + $filter('number')(PedidoProducto[i].Pedido_Producto_SubTotal, 0) + '</div><br/>';
						}
			            html += '		</div>';
			            html += '		<div style="width:75%; font-size: 12pt; font-weight: bold; text-align:right; padding-bottom:6px; float:left;">TOTAL (' + Pedido[0].FormaPago_Nemotecnico + ')&nbsp;&nbsp;&nbsp;: $</div><div style="width:25%; float:left; text-align:right; font-size: 12pt; font-weight: bold;">' + $filter('number')(Pedido[0].Pedido_Total, 0) + '</div>';
			            html += '		<div style="width:75%; font-size: 12pt; font-weight: bold; text-align:right; padding-bottom:6px; float:left;">Propina sugerida (10%)&nbsp;&nbsp;&nbsp;: $</div><div style="width:25%; float:left; text-align:right; font-size: 12pt; font-weight: bold;">' + $filter('number')(Pedido[0].Pedido_Total*.1, 0) + '</div>';
                        html += '		<div style="width:75%; font-size: 12pt; font-weight: bold; text-align:right; padding-bottom:6px; float:left;">TOTAL + Propina &nbsp;&nbsp;&nbsp;: $</div><div style="width:25%; float:left; text-align:right; font-size: 12pt; font-weight: bold;">' + $filter('number')(Pedido[0].Pedido_Total * 1.1, 0) + '</div>';
			            html += '		<div style="clear:both; font-size: 12pt;">Fecha: ' + Pedido[0].Pedido_FechaInicio.substring(8,10) + '/' + Pedido[0].Pedido_FechaInicio.substring(5,7) + '/' + Pedido[0].Pedido_FechaInicio.substring(0,4) + '</div>';
			            html += '	</div>';
			            html += '	<div style="padding: 4px 2px 5px 0px; font-size:12pt;">';
			            /*html += '		<div>COMENTARIOS:</div>';
			            html += '		<div style="width:100%; padding-bottom:1px;">' + Pedido[0].Pedido_Comentarios + '</div>';*/
			            html += '		<div style="width:1px; border-top:solid 1px #000000;"></div>';
			            html += '	</div>';
			            html += '</div>';
			            html += '</body></html>';
				        var mywindow = window.open('', 'my div', 'height=400,width=600');
				        console.log('mywindow', mywindow);
				        mywindow.document.write(html);

				        mywindow.print();
				        mywindow.close();
					});
			});
	};

	$rootScope.ImprimePedido2 = function() {
		var mywindow = window.open('', 'my div', 'height=400,width=600');
        console.log('mywindow', mywindow);
        mywindow.document.write('<html><head></head><body>prueba de texto plano</body></html>');

        mywindow.print();
        mywindow.close();

	};

});
