﻿var shawarma = angular.module('shawarma', ['ui.bootstrap']);

shawarma.controller("ProductosController", function ($scope, $http, $interval, $rootScope, $timeout, $modal, $location) {

 	$scope.Productos = null;
 	$scope.ProductoSeleccionado = null;

    $http.get($rootScope.ApiUrl + 'Productos/Todos/1')
 		.success(function(Productos) {
 			$scope.Productos = Productos;
 		});


 	$scope.SelDeselProducto = function(pProducto) {
 		// Despintar div selección anterior
 		if ($scope.ProductoSeleccionado != null)
 		{
 			var trAntigua = document.getElementById('trProducto'+$scope.ProductoSeleccionado.Producto_Id);
 			var i;
 			console.log(trAntigua.children);
 			for(i=0;i<trAntigua.children.length;i++)
 			{
	 			trAntigua.children[i].style.background = '';
 			}
 		}
 		// Selección/Deselección lógica
        if ($scope.ProductoSeleccionado != null && $scope.ProductoSeleccionado.Producto_Id == pProducto.Producto_Id) //Mismo producto => Deseleccionar
 		{
 			$scope.ProductoSeleccionado = null;
 		}
 		else //Producto distinto => Seleccionar
 		{
 			$scope.ProductoSeleccionado = pProducto;
 		}
 		// Pintar div seleccionado
 		if ($scope.ProductoSeleccionado != null)
 		{
 			var trNueva = document.getElementById('trProducto'+$scope.ProductoSeleccionado.Producto_Id);
 			var j;
 			for(j=0;j<trNueva.children.length;j++)
 			{
	 			trNueva.children[j].style.background = '#cccccc';
 			}
 		}
 	};

 	$scope.agregaProducto = function() {
		var modalInstance = $modal.open({
			templateUrl: 'IngresarProducto.html'
			, controller: 'IngresarProductoController'
			, size: 'lg'
            , resolve: {
                Productos: function () {
                    return $scope.Productos;
                }
                , ProductoSeleccionado: function () {
						return null;
					}
				}
		 });
		modalInstance.result.then(function() {

		}, function() {
            $http.get($rootScope.ApiUrl + 'Productos/Todos/1')
		 		.success(function(Productos) {
		 			$scope.Productos = Productos;
		 		});
		 	});
	 };

 	$scope.modificaProducto = function() {
		var modalInstance = $modal.open({
			templateUrl: 'IngresarProducto.html'
			, controller: 'IngresarProductoController'
			, size: 'lg'
            , resolve: {
                Productos: function () {
                    return $scope.Productos;
                }
                , ProductoSeleccionado: function() {
						return $scope.ProductoSeleccionado;
					}
				}
		 });
		modalInstance.result.then(function() {

		}, function() {
            $http.get($rootScope.ApiUrl + 'Productos/Todos/1')
		 		.success(function(Productos) {
		 			$scope.Productos = Productos;
		 		});
		 	});
	 };

	 $scope.activaDesactivaProducto = function() {
	 	if ($scope.ProductoSeleccionado == null)
	 	{
	 		alert('Antes debe seleccionar un producto.');
	 		return;
	 	}
         var sql = $rootScope.ApiUrl + 'Productos/'
             + $scope.ProductoSeleccionado.Producto_Id
             + '&' + $scope.ProductoSeleccionado.Producto_Nombre
             + '&' + $scope.ProductoSeleccionado.Producto_PrecioUnitario
             + '&' + ($scope.ProductoSeleccionado.Producto_Activo == '1' ? '0' : '1')
             + '&' + $scope.ProductoSeleccionado.Producto_Stock
             + '&' + $scope.ProductoSeleccionado.Producto_StockMinimoAlerta
             + '&' + $scope.ProductoSeleccionado.Producto_UnidadStock
             + '&' + ($scope.ProductoSeleccionado.Producto_IdDescuentoStock1 == $scope.ProductoSeleccionado.Producto_Id ? 1 : 0)
             + '&' + $scope.ProductoSeleccionado.Producto_IdDescuentoStock1
             + '&' + $scope.ProductoSeleccionado.Producto_DescuentoStockPorUnidad1
             + '&' + $scope.ProductoSeleccionado.Producto_IdDescuentoStock2
             + '&' + $scope.ProductoSeleccionado.Producto_DescuentoStockPorUnidad2
             + '&' + $scope.ProductoSeleccionado.Producto_IdDescuentoStock3
             + '&' + $scope.ProductoSeleccionado.Producto_DescuentoStockPorUnidad3
             + '&' + $scope.ProductoSeleccionado.Producto_IdDescuentoStock4
             + '&' + $scope.ProductoSeleccionado.Producto_DescuentoStockPorUnidad4;
	    $http.post(sql)
		    .success(function(Productos) {
                $http.get($rootScope.ApiUrl + 'Productos/Todos/1')
				    .success(function(ProductosTodos) {
					    $scope.Productos = ProductosTodos;
					    $scope.ProductoSeleccionado = null;
				    });
		    });
    };

	 $scope.navegaPedidos = function() {
//	 	$location.url('http://localhost:4000/pedidos');
		location.href = 'Pedidos.html';
	 };

  });

shawarma.run(function ($rootScope, $http, $filter) {

    $rootScope.ApiUrl = 'https://www.entregallos.cl/Shawarma_WebAPI/source/public/index.php/';

});
