<?php
use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

require '../../vendor/autoload.php';
$app = new \Slim\App(['settings' => [
										'displayErrorDetails' => true
										, 'addContentLengthHeader' => false
										, 'view' => [
											'path' => __DIR__ . '/views',
											'twig' => [
											'cache' => false
											]
										]
]]);

// Get the container
$container = $app->getContainer();

// Twig view dependency
$container['view'] = function ($c) {

    $cf = $c->get('settings')['view'];
    $view = new \Slim\Views\Twig($cf['path'], $cf['twig']);
    $view->addExtension(new \Slim\Views\TwigExtension(
        $c->router,
        $c->request->getUri()
    ));

    return $view;
};

$app->get('/pedidos', function (Request $request, Response $response) {
    $vars = [
        'page' => [
			'title' => 'Shawarma::Pedidos'
        ],
    ];  
	echo 'hola';
    return $this->view->render($response, 'index.html', $vars);
})->srtName('pedidos');

$app->run();
